#
# Generated Makefile - do not edit!
#
# Edit the Makefile in the project folder instead (../Makefile). Each target
# has a -pre and a -post target defined where you can add customized code.
#
# This makefile implements configuration specific macros and targets.


# Environment
MKDIR=mkdir
CP=cp
GREP=grep
NM=nm
CCADMIN=CCadmin
RANLIB=ranlib
CC=gcc
CCC=g++
CXX=g++
FC=gfortran
AS=as

# Macros
CND_PLATFORM=GNU-Linux-x86
CND_DLIB_EXT=so
CND_CONF=Release
CND_DISTDIR=dist
CND_BUILDDIR=build

# Include project Makefile
include Makefile

# Object Directory
OBJECTDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}

# Object Files
OBJECTFILES= \
	${OBJECTDIR}/_ext/1472/jaricom.o \
	${OBJECTDIR}/_ext/1472/jcapimin.o \
	${OBJECTDIR}/_ext/1472/jcapistd.o \
	${OBJECTDIR}/_ext/1472/jcarith.o \
	${OBJECTDIR}/_ext/1472/jccoefct.o \
	${OBJECTDIR}/_ext/1472/jccolor.o \
	${OBJECTDIR}/_ext/1472/jcdctmgr.o \
	${OBJECTDIR}/_ext/1472/jchuff.o \
	${OBJECTDIR}/_ext/1472/jcinit.o \
	${OBJECTDIR}/_ext/1472/jcmainct.o \
	${OBJECTDIR}/_ext/1472/jcmarker.o \
	${OBJECTDIR}/_ext/1472/jcmaster.o \
	${OBJECTDIR}/_ext/1472/jcomapi.o \
	${OBJECTDIR}/_ext/1472/jcparam.o \
	${OBJECTDIR}/_ext/1472/jcprepct.o \
	${OBJECTDIR}/_ext/1472/jcsample.o \
	${OBJECTDIR}/_ext/1472/jctrans.o \
	${OBJECTDIR}/_ext/1472/jdapimin.o \
	${OBJECTDIR}/_ext/1472/jdapistd.o \
	${OBJECTDIR}/_ext/1472/jdarith.o \
	${OBJECTDIR}/_ext/1472/jdatadst.o \
	${OBJECTDIR}/_ext/1472/jdatasrc.o \
	${OBJECTDIR}/_ext/1472/jdcoefct.o \
	${OBJECTDIR}/_ext/1472/jdcolor.o \
	${OBJECTDIR}/_ext/1472/jddctmgr.o \
	${OBJECTDIR}/_ext/1472/jdhuff.o \
	${OBJECTDIR}/_ext/1472/jdinput.o \
	${OBJECTDIR}/_ext/1472/jdmainct.o \
	${OBJECTDIR}/_ext/1472/jdmarker.o \
	${OBJECTDIR}/_ext/1472/jdmaster.o \
	${OBJECTDIR}/_ext/1472/jdmerge.o \
	${OBJECTDIR}/_ext/1472/jdpostct.o \
	${OBJECTDIR}/_ext/1472/jdsample.o \
	${OBJECTDIR}/_ext/1472/jdtrans.o \
	${OBJECTDIR}/_ext/1472/jerror.o \
	${OBJECTDIR}/_ext/1472/jfdctflt.o \
	${OBJECTDIR}/_ext/1472/jfdctfst.o \
	${OBJECTDIR}/_ext/1472/jfdctint.o \
	${OBJECTDIR}/_ext/1472/jidctflt.o \
	${OBJECTDIR}/_ext/1472/jidctfst.o \
	${OBJECTDIR}/_ext/1472/jidctint.o \
	${OBJECTDIR}/_ext/1472/jmemmgr.o \
	${OBJECTDIR}/_ext/1472/jmemnobs.o \
	${OBJECTDIR}/_ext/1472/jquant1.o \
	${OBJECTDIR}/_ext/1472/jquant2.o \
	${OBJECTDIR}/_ext/1472/jutils.o


# C Compiler Flags
CFLAGS=-m64

# CC Compiler Flags
CCFLAGS=
CXXFLAGS=

# Fortran Compiler Flags
FFLAGS=

# Assembler Flags
ASFLAGS=

# Link Libraries and Options
LDLIBSOPTIONS=

# Build Targets
.build-conf: ${BUILD_SUBPROJECTS}
	"${MAKE}"  -f nbproject/Makefile-${CND_CONF}.mk ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/liblinux.a

${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/liblinux.a: ${OBJECTFILES}
	${MKDIR} -p ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}
	${RM} ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/liblinux.a
	${AR} -rv ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/liblinux.a ${OBJECTFILES} 
	$(RANLIB) ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/liblinux.a

${OBJECTDIR}/_ext/1472/jaricom.o: ../jaricom.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jaricom.o ../jaricom.c

${OBJECTDIR}/_ext/1472/jcapimin.o: ../jcapimin.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcapimin.o ../jcapimin.c

${OBJECTDIR}/_ext/1472/jcapistd.o: ../jcapistd.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcapistd.o ../jcapistd.c

${OBJECTDIR}/_ext/1472/jcarith.o: ../jcarith.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcarith.o ../jcarith.c

${OBJECTDIR}/_ext/1472/jccoefct.o: ../jccoefct.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jccoefct.o ../jccoefct.c

${OBJECTDIR}/_ext/1472/jccolor.o: ../jccolor.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jccolor.o ../jccolor.c

${OBJECTDIR}/_ext/1472/jcdctmgr.o: ../jcdctmgr.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcdctmgr.o ../jcdctmgr.c

${OBJECTDIR}/_ext/1472/jchuff.o: ../jchuff.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jchuff.o ../jchuff.c

${OBJECTDIR}/_ext/1472/jcinit.o: ../jcinit.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcinit.o ../jcinit.c

${OBJECTDIR}/_ext/1472/jcmainct.o: ../jcmainct.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcmainct.o ../jcmainct.c

${OBJECTDIR}/_ext/1472/jcmarker.o: ../jcmarker.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcmarker.o ../jcmarker.c

${OBJECTDIR}/_ext/1472/jcmaster.o: ../jcmaster.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcmaster.o ../jcmaster.c

${OBJECTDIR}/_ext/1472/jcomapi.o: ../jcomapi.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcomapi.o ../jcomapi.c

${OBJECTDIR}/_ext/1472/jcparam.o: ../jcparam.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcparam.o ../jcparam.c

${OBJECTDIR}/_ext/1472/jcprepct.o: ../jcprepct.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcprepct.o ../jcprepct.c

${OBJECTDIR}/_ext/1472/jcsample.o: ../jcsample.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jcsample.o ../jcsample.c

${OBJECTDIR}/_ext/1472/jctrans.o: ../jctrans.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jctrans.o ../jctrans.c

${OBJECTDIR}/_ext/1472/jdapimin.o: ../jdapimin.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdapimin.o ../jdapimin.c

${OBJECTDIR}/_ext/1472/jdapistd.o: ../jdapistd.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdapistd.o ../jdapistd.c

${OBJECTDIR}/_ext/1472/jdarith.o: ../jdarith.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdarith.o ../jdarith.c

${OBJECTDIR}/_ext/1472/jdatadst.o: ../jdatadst.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdatadst.o ../jdatadst.c

${OBJECTDIR}/_ext/1472/jdatasrc.o: ../jdatasrc.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdatasrc.o ../jdatasrc.c

${OBJECTDIR}/_ext/1472/jdcoefct.o: ../jdcoefct.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdcoefct.o ../jdcoefct.c

${OBJECTDIR}/_ext/1472/jdcolor.o: ../jdcolor.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdcolor.o ../jdcolor.c

${OBJECTDIR}/_ext/1472/jddctmgr.o: ../jddctmgr.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jddctmgr.o ../jddctmgr.c

${OBJECTDIR}/_ext/1472/jdhuff.o: ../jdhuff.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdhuff.o ../jdhuff.c

${OBJECTDIR}/_ext/1472/jdinput.o: ../jdinput.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdinput.o ../jdinput.c

${OBJECTDIR}/_ext/1472/jdmainct.o: ../jdmainct.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdmainct.o ../jdmainct.c

${OBJECTDIR}/_ext/1472/jdmarker.o: ../jdmarker.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdmarker.o ../jdmarker.c

${OBJECTDIR}/_ext/1472/jdmaster.o: ../jdmaster.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdmaster.o ../jdmaster.c

${OBJECTDIR}/_ext/1472/jdmerge.o: ../jdmerge.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdmerge.o ../jdmerge.c

${OBJECTDIR}/_ext/1472/jdpostct.o: ../jdpostct.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdpostct.o ../jdpostct.c

${OBJECTDIR}/_ext/1472/jdsample.o: ../jdsample.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdsample.o ../jdsample.c

${OBJECTDIR}/_ext/1472/jdtrans.o: ../jdtrans.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jdtrans.o ../jdtrans.c

${OBJECTDIR}/_ext/1472/jerror.o: ../jerror.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jerror.o ../jerror.c

${OBJECTDIR}/_ext/1472/jfdctflt.o: ../jfdctflt.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jfdctflt.o ../jfdctflt.c

${OBJECTDIR}/_ext/1472/jfdctfst.o: ../jfdctfst.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jfdctfst.o ../jfdctfst.c

${OBJECTDIR}/_ext/1472/jfdctint.o: ../jfdctint.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jfdctint.o ../jfdctint.c

${OBJECTDIR}/_ext/1472/jidctflt.o: ../jidctflt.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jidctflt.o ../jidctflt.c

${OBJECTDIR}/_ext/1472/jidctfst.o: ../jidctfst.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jidctfst.o ../jidctfst.c

${OBJECTDIR}/_ext/1472/jidctint.o: ../jidctint.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jidctint.o ../jidctint.c

${OBJECTDIR}/_ext/1472/jmemmgr.o: ../jmemmgr.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jmemmgr.o ../jmemmgr.c

${OBJECTDIR}/_ext/1472/jmemnobs.o: ../jmemnobs.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jmemnobs.o ../jmemnobs.c

${OBJECTDIR}/_ext/1472/jquant1.o: ../jquant1.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jquant1.o ../jquant1.c

${OBJECTDIR}/_ext/1472/jquant2.o: ../jquant2.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jquant2.o ../jquant2.c

${OBJECTDIR}/_ext/1472/jutils.o: ../jutils.c 
	${MKDIR} -p ${OBJECTDIR}/_ext/1472
	${RM} "$@.d"
	$(COMPILE.c) -O3 -s -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1472/jutils.o ../jutils.c

# Subprojects
.build-subprojects:

# Clean Targets
.clean-conf: ${CLEAN_SUBPROJECTS}
	${RM} -r ${CND_BUILDDIR}/${CND_CONF}
	${RM} ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/liblinux.a

# Subprojects
.clean-subprojects:

# Enable dependency checking
.dep.inc: .depcheck-impl

include .dep.inc
